Skip to main content

issuesToSync

Returns the ids of issues that need to be sync

issuesToSync(
input: IssuesToSyncInput!
): [IssueToSync!]!

Arguments​

issuesToSync.input ● IssuesToSyncInput! non-null input​

Type​

IssueToSync object​

Example request

This generated query uses placeholders for required values. Replace them with values available to your API key before running it.

Before you run it

Run the assets query first and use data.assets.collection[].id as assetId.

curl --request POST https://api.convisoappsec.com/graphql \
--header "x-api-key: $CONVISO_API_KEY" \
--header "content-type: application/json" \
--data '{"query":"query GetIssuesToSync($input: IssuesToSyncInput!) {\n issuesToSync(input: $input) { id type }\n}","variables":{"input":{"assetId":"<asset_id>","toolType":"SONARQUBE"}}}'

Contribute to the Docs

Found something outdated or missing? Help us improve the documentation with a quick suggestion or edit.

How to contribute